% A11.4 (c)
clear all; close all; clc;

% Randwerte
b1 = @(x) 0*x;
b2 = @(x) 0*x;
b3 = @(x) 0*x;
b4 = @(x) sin(2*pi*x);
% rechte Seite = 0
f = @(x,y) 0*x;
% Feinheit
n=50;
% Approximation berechnen
U_h = approx_U_h(f,b1,b2,b3,b4,n);
% visualisieren
h=1/(n+1);
U_h_matrix=reshape(U_h,n,n)';
[X,Y]=meshgrid(h:h:(1-h),h:h:(1-h));
surf(X,Y,U_h_matrix,'FaceColor','interp','EdgeAlpha',0);
xlabel('x-Achse');
ylabel('y-Achse');
zlabel('u(x,y)');
